<?php
#-----------------------------------------------------#
# Зц Sea mod Ganjara                                  #
# 	 Автор : Slayer  with   Ganjar                    #
#    ICQ :   566003         993770                    #
#    Вы не имеете права распространять данный скрипт. #
# 		По всем вопросам пишите в ICQ.                  #
#-----------------------------------------------------#

define('_IN_JOHNCMS', 1);
$zc=1;
$headmod = 'load';
$textl = 'Поиск файлов';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");
$time = time();
$setting = mysql_query('SELECT * FROM `zc_setting`;');

while($set = mysql_fetch_assoc($setting)){
$setup[$set['name']] = $set['value'];
}

$hackmess = $setup['hackmess'];

require 'moduls/ini.php';
require 'moduls/fun.php';
###############Если поиск выключен###############
if($setup['search_change'] == 0) die('Not found');
###############Проверка переменных###############
$onpage = get2ses('onpage');
$prew = get2ses('prew');
$sort = get2ses('sort');
$id = intval($_GET['id']);
$page = intval($_GET['page']);

is_num($onpage,'onpage');
is_num($prew,'prew');

if($prew != 0 and $prew != 1){
$prew = $setup['preview'];
}
if($_GET['open']==1 ) $endurl='&amp;open=1';
###############Форма ввода слова###############
if(!$_GET['act'])
{
echo '<div class="menu"><img src="dis/s.png" alt=""/> Поиск файлов</div><div class="gmenu">
<form name="sfiles" action="search.php?act=search'.$endurl.'" method="post">
Введите часть имени файла<br/>
или имя файла целиком:<br/>
<input class="enter" name="word" type="text" maxlength="20" value=""/><br/>
<input class="buttom" type="submit" value="Поиск!"/>
</form></div>
<div class="bmenu">
<li><a href="index.php?'.$endurl.'">Загрузки</a></li>
<li><a href="'.$setup['site_url'].'">На главную</a></li>
</div>';
require_once ("moduls/foot.php");
}
###############Проверка переменных###############
if($_GET['act']=='search')
{
if(!$_REQUEST['word']) echo'<div class="list1">Ошибка. Не заполнено поле.</div><div class="menu"><img src="dis/s.png" alt=""/> Поиск файлов</div><div class="gmenu">
<form name="sfiles" action="search.php?act=search'.$endurl.'" method="post">
Введите часть имени файла<br/>
или имя файла целиком:<br/>
<input class="enter" name="word" type="text" maxlength="20" value=""/><br/>
<input class="buttom" type="submit" value="Поиск!"/>
</form></div>
';
else{
$word = clean(del(cut($_REQUEST['word'],15)));
$word_search_query = mysql_query("SELECT * FROM `".$setup['pref']."files` WHERE `name` LIKE '%".$word."%' AND `size` > 0");
$i = 0;
while($result = mysql_fetch_array($word_search_query)) $array_id[] = $result['id'];
$all = count($array_id);
if(!isset($page)) $page=1;
$n = 0;
$pages = ceil($all/$onpage);
if(!$pages) $pages = 1;
if ($page) $n = ($onpage*$page)-$onpage;
echo '<div class="list1"><img src="dis/in.png" alt=""/>По запросу "'.$word.'" найдено '.$all.' файла(ов)</div>';
if($all == 0) echo '<div class="list1"><font color="red">Извините, но по вашему запросу ничего не найдено</font></div>';
for($i=1; $i<=$onpage; $i++)
{
if (!isset($array_id[$n]))
{
$n++;
continue;
}
if(is_integer($n / 2)) $row = '<div class="list1">'; else $row = '<div class="list2">';
$file_info = mysql_fetch_array(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.$array_id[$n]));
$backdir = @mysql_fetch_array(mysql_query("SELECT * FROM `".$setup['pref']."files` WHERE `path` = '".$file_info['infolder']."'"));
$basename = basename($file_info['path']);
$ex = pathinfo($file_info['path']);
$ext = strtolower($ex['extension']);
$name_file = str_replace('.'.$ex,'',$basename);
//Транслит
if(strpos($basename , '!') !== false){
$name_file = trans($name_file);
}
else{
$name_file = trans2($name_file);
}
//Красивый размер
if($file_info['size'] < 1024) $file_info['size'] = '('.$file_info['size'].'b)';
if($file_info['size'] < 1048576 and $file_info['size'] >= 1024) $file_info['size'] = '('.round($file_info['size']/1024, 2).'Kb)';
if($file_info['size'] > 1048576) $file_info['size'] = '('.round($file_info['size']/1024/1024, 2).'Mb)';
//Новизна файла
$new_info=null;
$filtime2 = $file_info['timeupload']+(3600*24*$setup['day_new']);
if($filtime2>=$time){ $new_info = '[<font color="#FFFF00">New</font>]';}
//Предосмотр
$pre = null;
if($prew==1)
{
if($ext == 'bmp'){
$pre = 'Предосмотр невозможен<br/>';
}
elseif($ext == 'gif' or $ext == 'jpeg' or $ext == 'jpe' or $ext == 'jpg' or $ext == 'png'){
$pre = '<img style="margin:1px;" src="im.php?id='.$file_info['id'].'" alt=""/><br/>';
}
}
//Иконка к файлу
if(!file_exists("ext/$ext.png")){
$ico = '<img src="ext/stand.png" alt=""/>';
}
else{
$ico = '<img src="ext/'.$ext.'.png" alt=""/>';
}
if($setup['ext']==1){
$extension = '('.$ext.')';
}
else{
$extension = '';
}
//Собсвенно вывод
echo $row.$pre.' '.$ico.'<strong><a href="view.php?id='.$file_info['id'].'">'.$name_file.'</a></strong>'.$extension.$file_info['size'].'[<a href="index.php?id='.$backdir['id'].'">В категорию</a>]<br/></div>';
$n++;
}
//------------------------------------------------------------------------------------------
echo '<div class="phdr">Страницы: ';
$asd = $page - 2;
$asd2 = $page + 3;
if($asd<$all && $asd>0 && $page>3) echo '<a href="search.php?act=search&amp;page=1&amp;onpage='.$onpage.'&amp;prew='.$prew.'&amp;word='.$word.$endurl.'">1</a> ... ';
for($i=$asd; $i<$asd2;$i++)
{
if($i<$all && $i>0)
{
if($i > $pages) break;
if($page==$i) 	echo '<strong>['.$i.']</strong> ';
else echo '<a href="search.php?act=search&amp;page='.$i.'&amp;onpage='.$onpage.'&amp;prew='.$prew.'&amp;word='.$word.$endurl.'">'.$i.'</a> ';
}
}
if($i <= $pages)
{
if($asd2<$all) echo ' ... <a href="search.php?act=search&amp;page='.$pages.'&amp;onpage='.$onpage.'&amp;prew='.$prew.'&amp;word='.$word.$endurl.'">'.$pages.'</a>';
}
echo '<br/>';
//------------------------------------------------------------------------------------------
if($pages>$setup['pagehand'] and $setup['pagehand_change'] == 1)
{
echo 'Страница '.$page.' из '.$pages.':<br/>
<form action="search.php?act=search&amp;word='.$word.$endurl.'" method="post">
<input class="enter" name="page" type="text" maxlength="4" size="8" value="">
<input class="buttom" type="submit" value="Перейти">
</form>';
}
//------------------------------------------------------------------------------------------
echo '</div>';}echo '<div class="bmenu">';
//------------------------------------------------------------------------------------------
echo '<li><a href="index.php?'.$endurl.'">Загрузки</a></li>
<li><a href="'.$setup['site_url'].'">На главную</a></li>
';
echo '</div>';
require_once ("moduls/foot.php");
}
?>